Skip to main content
GET
/
agent
/
conversations
/
{id}
/
messages
List conversation messages
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/agent/conversations/{id}/messages', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content": "<string>",
      "toolCallsJson": "<string>",
      "toolResultsJson": "<string>",
      "actions": [
        {
          "type": "<string>",
          "label": "<string>",
          "params": "<unknown>"
        }
      ],
      "truncated": true,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string<uuid>
required

Query Parameters

Cursor
string
Limit
default:50

Response

OK

data
object[]
nextCursor
null | string
hasMore
boolean